@echo off

cd tests\date
utod *.X *.I

cd ..\..

echo Editing the scripts in various subdirectories for DJGPP...
echo     tests/basename
if not exist tests\basename\basic.orig mv -f tests/basename/basic tests/basename/basic.orig
sed -f djgpp/tscript.sed tests/basename/basic.orig > tests\basename\basic
rem
echo     tests/date
if not exist tests\date\date-tests.orig mv -f tests/date/date-tests tests/date/date-tests.orig
sed -f djgpp/tscript.sed tests/date/date-tests.orig > tests\date\date-tests
echo     tests/factor
if not exist tests\factor\basic.orig mv -f tests/factor/basic tests/factor/basic.orig
sed -f djgpp/tscript.sed tests/factor/basic.orig > tests\factor\basic
echo     tests/test
if not exist tests\test\test-tests.orig mv -f tests/test/test-tests tests/test/test-tests.orig
sed -f djgpp/tscript.sed tests/test/test-tests.orig > tests\test\test-tests